---
title: read-active-attack-data
product: vercel
url: /docs/rest-api/security/read-active-attack-data
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about read-active-attack-data on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Read active attack data

```http
GET /v1/security/firewall/attack-status
```

Retrieve active attack data within the last N days (default: 1 day)

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectId` | string | Yes |  |
| `since` | number. min: 1 | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "oneOf": [
    {
      "type": "object"
    },
    {
      "type": "object",
      "required": [
        "anomalies"
      ],
      "properties": {
        "anomalies": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "affectedHostMap",
              "atMinute",
              "endTime",
              "ownerId",
              "projectId",
              "startTime"
            ],
            "properties": {
              "projectId": {
                "type": "string"
              },
              "ownerId": {
                "type": "string"
              },
              "startTime": {
                "type": "number"
              },
              "endTime": {
                "type": "number",
                "nullable": true
              },
              "atMinute": {
                "type": "number"
              },
              "state": {
                "type": "string"
              },
              "affectedHostMap": {
                "type": "object",
                "additionalProperties": {
                  "type": "object",
                  "properties": {
                    "anomalyAlerts": {
                      "type": "object",
                      "additionalProperties": {
                        "type": "object",
                        "required": [
                          "at_minute",
                          "avg_requests",
                          "stddev_requests",
                          "total_requests_minute",
                          "zscore"
                        ],
                        "properties": {
                          "at_minute": {
                            "type": "string"
                          },
                          "zscore": {
                            "type": "number"
                          },
                          "total_requests_minute": {
                            "type": "number"
                          },
                          "avg_requests": {
                            "type": "number"
                          },
                          "stddev_requests": {
                            "type": "number"
                          }
                        }
                      }
                    },
                    "ddosAlerts": {
                      "type": "object",
                      "additionalProperties": {
                        "type": "object",
                        "required": [
                          "atMinute",
                          "totalReqs"
                        ],
                        "properties": {
                          "atMinute": {
                            "type": "string"
                          },
                          "totalReqs": {
                            "type": "number"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  ]
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

---

## Related

- [security endpoints](/docs/rest-api#security)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
